package hook

import "fmt"

// 开启/关闭实时消息接收功能
func (h *Hook) ConfigureMsgRecive(isEnable string, url string) (err error) {
	resp, err := h.Client.R().SetBody(&ConfigureMsgReciveReq{
		IsEnable: isEnable,
		URL:      url,
	}).Post("http://" + h.ServerIp + ":" + h.WxPort + "/ConfigureMsgRecive")
	if err != nil {
		return
	}
	if !resp.IsSuccessState() {
		err = fmt.Errorf("ConfigureMsgRecive failed with status code %d", resp.StatusCode)
		return
	}
	return
}
